### Struct

# AppStream BrandingColorIter

since: 1.0

#### Description [src]

    struct AsBrandingColorIter {
      /* No available fields */
    }

A `AsBrandingColorIter` structure represents an iterator that can be used to iterate over the accent colors of an `AsBranding` object. `AsBrandingColorIter` structures are typically allocated on the stack and then initialized with as_branding_color_iter_init().

Available since: 1.0

#### Instance methods

###### as_branding_color_iter_init

Initializes a color iterator for the accent color list and associates it it with `branding`. The `AsBrandingColorIter` structure is typically allocated on the stack and does not need to be freed explicitly.

since: 1.0

###### as_branding_color_iter_next

Returns the current color entry and advances the iterator. Example:

since: 1.0